Index: NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/OCE/ISF/isfcpl.F90
===================================================================
--- NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/OCE/ISF/isfcpl.F90	(revision 13895)
+++ NEMO/branches/2020/dev_r13327_KERNEL-06_2_techene_e3/src/OCE/ISF/isfcpl.F90	(revision 14018)
@@ -120,13 +120,4 @@
       e3t(:,:,:,Kbb)   = e3t(:,:,:,Kmm)
 #endif 
-      ! prepare writing restart
-      IF( lwxios ) THEN
-         CALL iom_set_rstw_var_active('ssmask')
-         CALL iom_set_rstw_var_active('tmask')
-         CALL iom_set_rstw_var_active('e3t_n')
-         CALL iom_set_rstw_var_active('e3u_n')
-         CALL iom_set_rstw_var_active('e3v_n')
-      END IF
-      !
    END SUBROUTINE isfcpl_init
 
@@ -154,12 +145,10 @@
       END DO 
       !
-      IF( lwxios ) CALL iom_swap( cwxios_context )
-      CALL iom_rstput( kt, nitrst, numrow, 'tmask'  , tmask , ldxios = lwxios )
-      CALL iom_rstput( kt, nitrst, numrow, 'ssmask' , ssmask, ldxios = lwxios )
-      CALL iom_rstput( kt, nitrst, numrow, 'e3t_n'  , ze3t , ldxios = lwxios )
-      CALL iom_rstput( kt, nitrst, numrow, 'e3u_n'  , ze3u , ldxios = lwxios )
-      CALL iom_rstput( kt, nitrst, numrow, 'e3v_n'  , ze3v , ldxios = lwxios )
-      CALL iom_rstput( kt, nitrst, numrow, 'gdepw_n', zgdepw , ldxios = lwxios )
-      IF( lwxios ) CALL iom_swap( cxios_context )
+      CALL iom_rstput( kt, nitrst, numrow, 'tmask'  , tmask  )
+      CALL iom_rstput( kt, nitrst, numrow, 'ssmask' , ssmask )
+      CALL iom_rstput( kt, nitrst, numrow, 'e3t_n'  , ze3t   )
+      CALL iom_rstput( kt, nitrst, numrow, 'e3u_n'  , ze3u   )
+      CALL iom_rstput( kt, nitrst, numrow, 'e3v_n'  , ze3v   )
+      CALL iom_rstput( kt, nitrst, numrow, 'gdepw_n', zgdepw )
       !
    END SUBROUTINE isfcpl_rst_write
@@ -185,5 +174,5 @@
       !!----------------------------------------------------------------------
       !
-      CALL iom_get( numror, jpdom_auto, 'ssmask'  , zssmask_b, ldxios = lrxios   ) ! need to extrapolate T/S
+      CALL iom_get( numror, jpdom_auto, 'ssmask'  , zssmask_b   ) ! need to extrapolate T/S
 
       ! compute new ssh if we open a full water column 
@@ -267,7 +256,7 @@
       !!----------------------------------------------------------------------
       ! 
-      CALL iom_get( numror, jpdom_auto, 'tmask'  , ztmask_b, ldxios = lrxios   ) ! need to extrapolate T/S
-      !CALL iom_get( numror, jpdom_auto, 'wmask'  , zwmask_b, ldxios = lrxios   ) ! need to extrapolate T/S
-      !CALL iom_get( numror, jpdom_auto, 'gdepw_n', zdepw_b(:,:,:), ldxios = lrxios ) ! need to interpol vertical profile (vvl)
+      CALL iom_get( numror, jpdom_auto, 'tmask'  , ztmask_b   ) ! need to extrapolate T/S
+      !CALL iom_get( numror, jpdom_auto, 'wmask'  , zwmask_b  ) ! need to extrapolate T/S
+      !CALL iom_get( numror, jpdom_auto, 'gdepw_n', zdepw_b(:,:,:) ) ! need to interpol vertical profile (vvl)
       !
       ! 
@@ -414,7 +403,7 @@
       !!----------------------------------------------------------------------
       !
-      CALL iom_get( numror, jpdom_auto, 'tmask'  , ztmask_b, ldxios = lrxios )
-      CALL iom_get( numror, jpdom_auto, 'e3u_n'  , ze3u_b  , ldxios = lrxios )
-      CALL iom_get( numror, jpdom_auto, 'e3v_n'  , ze3v_b  , ldxios = lrxios )
+      CALL iom_get( numror, jpdom_auto, 'tmask'  , ztmask_b )
+      CALL iom_get( numror, jpdom_auto, 'e3u_n'  , ze3u_b   )
+      CALL iom_get( numror, jpdom_auto, 'e3v_n'  , ze3v_b   )
       !
       ! 1.0: compute horizontal volume flux divergence difference before-after coupling
@@ -525,8 +514,8 @@
 
       ! get restart variable
-      CALL iom_get( numror, jpdom_auto, 'tmask'  , ztmask_b(:,:,:), ldxios = lrxios   ) ! need to extrapolate T/S
-      CALL iom_get( numror, jpdom_auto, 'e3t_n'  , ze3t_b(:,:,:)  , ldxios = lrxios )
-      CALL iom_get( numror, jpdom_auto, 'tn'     , zt_b(:,:,:)    , ldxios = lrxios )
-      CALL iom_get( numror, jpdom_auto, 'sn'     , zs_b(:,:,:)    , ldxios = lrxios )
+      CALL iom_get( numror, jpdom_auto, 'tmask'  , ztmask_b(:,:,:) ) ! need to extrapolate T/S
+      CALL iom_get( numror, jpdom_auto, 'e3t_n'  , ze3t_b(:,:,:)   )
+      CALL iom_get( numror, jpdom_auto, 'tn'     , zt_b(:,:,:)     )
+      CALL iom_get( numror, jpdom_auto, 'sn'     , zs_b(:,:,:)     )
 
       ! compute run length
